using UnityEngine;

namespace Camera
{
	public class CameraController : MonoBehaviour
	{
		[SerializeField] private CameraManager cameraManager;
		[SerializeField] private UnityEngine.Camera gameCamera;

		public UnityEngine.Camera GameCamera
		{
			get { return gameCamera; }
		}

		private void Awake()
		{
			cameraManager.RegisterCameraController(this);

			if (gameCamera.aspect > 0.563)
			{
				// Add background to side
			}
			else
			{
				// Increase vertical size
				gameCamera.orthographicSize = 9.6f + 9.6f * 2f * (0.5625f - gameCamera.aspect);
			}
		}
	}
}